Disclaimer

Delcam plc has no control over the use made of the software described in this manual and cannot accept responsibility for any loss or damage howsoever caused as a result of using the software. Users are advised that all the results from the software should be checked by a competent person, in accordance with good quality control procedures.

Information contained in this manual is subject to change without notice and does not represent a commitment by Delcam plc. The software described in this manual is furnished under licence agreement and may be used or copied in accordance with the terms of such licence. No part of this manual may be reproduced or transmitted in any form or by any means, electronic or mechanical, including photocopying and recording, for any purpose without the express permission of Delcam plc.

Copyright © 1996-2007 Delcam plc.

Acknowledgements

This documentation references a number of registered trademarks and these are the property of their respective owners. For example, Microsoft and Windows are either registered trademarks or trademarks of Microsoft Corporation in the United States and/or other countries.


New features

PowerINSPECT 4.3 offers all the original features of PowerINSPECT 4.2 and the following major new features:

  • The ability to create probe paths for geometric features and surface inspection groups, which can then be used as on-screen prompts to aid manual inspection.
  • Additional ways of rotating a CAD model in the CAD view.
  • Various enhancements to alignments. These are:
    • A new method for calculating a best fit, which allows rotation only around a specified axis.
    • The ability to use more than six constraints in a Reference Point System (RPS) alignment.
  • A new (Measures - Import Measured Data) option that enables you to import measured data from one measure into another measure.
  • A new (Measures - Transform Nominals) option that enables you to inspect (and report on) a single CAD model in different coordinate systems.
  • Ability to create probe paths by importing a file containing nominal points.
  • Various enhancements to HTML reports.
    • Snapshots of the CAD view can be included in reports.
    • You can specify whether you want individual probed points to be included in a report.
    • The default HTML report template has been expanded to include additional information.
  • Ability to control when PowerINSPECT calculates a feature from probed points using an Auto Calculate option.
  • New way of modifying CAD View State items.
  • New colour scheme for box labels.
  • Ability to define which CAD levels are used to inspect individual surface inspection groups.
  • New settings on the Options dialog.
  • Ability to use unmeasured features to create GD&T items.
  • A new option (Tools - Extract Files from CATIA Export Files) that enables you to extract individual CAD ( .fic ) files from a CATIA export ( .exp ) file.
  • A new method for calculating feature intersection points using unbounded entities.
  • Various enhancements to point clouds. These are:
    • Enhancements to exporting point cloud data.
    • Additional information displayed on the Point Cloud tab.
  • Integration with Advanced Integrated Mathematical System (AIMS).
  • New Guided Surface Point button.


Using probe paths to aid manual inspection

PowerINSPECT 4.3 allows inspectors to set up probe paths in the form of fully prompted points for less experienced operators to measure, thereby reducing the potential for errors.

They can do this in any of the following ways:

  • Take manual measurements and then, within the same session, automatically generate probe paths from the measured data.
  • Modify automatically generated probe paths using the Features tab.
  • Generate new probe paths by going to the Features tab and setting probing strategies and parameters.
  • Load an existing .pwi file containing measured data and then select Measures - Generate Probe Paths.
    • If you load a file that contains a sequence for which probe paths have already been generated, then, after displaying the probe paths using the appropriate View - Probe Paths option, edit the paths, and then remeasure them as required.

An inspector can create probe paths for surface inspection groups, as well as for the geometric inspection of probed planes, lines, circles (arcs), cones, cylinders, slots, spheres, single points and rectangles.

In This Section

Illustration of 'bouncing ball'

Movie example of 'bouncing ball'

Measures – Generate Probe Paths

Using the Features tab

View – Probe Paths


Illustration of 'bouncing ball'

When an operator plays a sequence containing elements with probe paths, PowerINSPECT shows the points along the path that are to be probed, using a 'bouncing ball' effect. This means that, although the points are all initially shown in the same colour (typically, blue), the next point to be measured is displayed as a red sphere. Once a point has been measured, it is shown as a grey sphere, with the transparent red sphere indicating where the point was actually taken, for example:

The 'bouncing ball' effect therefore serves as an on-screen guide as to what has already been measured and what is to be measured next.

  • Transparent red spheres are not used in the case of surface inspection groups to indicate measured points. The normal confetti is displayed instead.

See Also

Using probe paths to aid manual inspection

Movie example of 'bouncing ball'

Measures – Generate Probe Paths

Using the Features tab

View – Probe Paths


Movie example of 'bouncing ball'

The following example shows the 'bouncing ball' effect of the probe moving from red point to red point:


Measures – Generate Probe Paths

Use this option to generate probe paths from measured data for surface inspection groups, as well as for the geometric inspection of probed planes, lines, circles (arcs), cones, cylinders, slots, spheres, single points and rectangles.

  1. Open a .pwi file and ensure that the surface inspection groups and the elements in the geometric group(s) have been measured, for example:

  2. Select Measures - Generate Probe Paths.

    • Use the View - Probe Paths option to control the display of probe paths in the CAD view:

You can now inspect the part using the probe paths as a guide.

  • If you select Play All (as opposed to Play for the individual elements for which you have created probe paths), then you will need to reset the measurement status of all the items that are to be re-inspected.

See Also

Using probe paths to aid manual inspection

Illustration of 'bouncing ball'

Movie example of 'bouncing ball'

Using the Features tab

View – Probe Paths


Using the Features tab

The Features tab is used to create and maintain elements in the inspection sequence that have probe paths associated with them.

  • In order to use this tab, CNC mode must be active.

You can create probe paths for surface inspection groups, as well as for the geometric inspection of probed planes, lines, circles (arcs), cones, cylinders, slots, spheres, single points and rectangles.

When creating surface inspection groups or geometric elements, details are automatically added to the Features tab for you to check or amend:

Creating a... | Using...
surface inspection group by inserting surface points on a CAD model | from the Element toolbar. This displays an Inspect dialog in the Features tab and enables the Probe Path Editor for you to insert surface points.
geometric element by specifying nominal data (or in the case of lines and planes, by inserting points on a CAD model) | the Element toolbar. For example, select [image] to create a probed plane. This displays an Inspect dialog in the Features tab for you to specify nominal values. If creating lines or planes, it also enables the Probe Path Editor for you to insert points on a CAD model.
geometric element (but not lines, planes or spheres) by selecting directly from a CAD model | Wireframe checker [image] from the Mouse Context toolbar. When you have selected a geometric feature with Wireframe Checker, the feature's details are displayed in the Inspect dialog in the Features tab.
  • To use Wireframe Checker effectively when selecting geometric features, make sure the CAD model's wireframe is visible in the CAD View tab.

In This Section

How probe paths are represented in the CAD View

About the Inspect dialogs


How probe paths are represented in the CAD View

As you are creating or editing elements and their associated probe paths on the Inspect dialogs, a visual representation of both the element and its probe path appears on the CAD View tab. A probe path contains one or more probed positions. The following conventions are used to denote different parts of a probe path:

  • Green lines indicate intermediate moves (where the probe is not expected to touch the part during the move) between probed positions. Lead in and lead out moves are also indicated in green. An additional green asterisk marker appears on lead in moves to distinguish them from lead out moves.
  • Red spheres indicate touch points (that is, the points at which the probe is expected to touch the part).

For example, a cylinder probe path:

For example, a surface inspection group probe path:

  • The exact probe path created depends on the probing strategies and parameters selected for the feature.

PowerINSPECT automatically creates link moves between different probe paths. These are displayed in light grey - for example:

See Also

Using the Features tab

About the Inspect dialogs


About the Inspect dialogs

When creating or editing an element that has a probe path associated with it, an Inspect dialog appears on the Features tab beneath the inspection sequence. This dialog contains both 'definition' information about the element itself (such as nominal values) and probe path details.

Although different dialogs are displayed for different elements (for example, Surface Group Inspection, Plane Inspect, Arc Inspect and Cone Inspect), all the dialogs are based on the same general principles, and comprise the following main areas:

- Name and mode area. Here you can accept the default name for the element or type your own. You can also specify whether to work in 'create' or 'edit' mode.

- Element parameters area. The parameters displayed vary depending on the element being created or edited, but can include X, Y, Z coordinates of the element, start and end angles, and whether the geometric feature is to be probed internally or externally.

- Probing strategies and parameters area. Here you can select a probing strategy and method for the element and set various values related to the probe path associated with the element.

- Toolbar area. Here you can save or cancel changes to a feature.

These areas are positioned as follows:

In This Section

Disabling CNC mode

Specifying the element name and mode

Using the Inspect dialog's toolbar

Setting element parameters

Setting probing strategies and methods

Using the Probe Path Editor


Disabling CNC mode

An Inspect dialog is displayed automatically on the Features tab whenever you create or edit an element that can have a probe path associated with it.

If, however, you wish to work with these elements without also creating a probe path, you can disable the display of the Inspect dialogs by clicking the CNC Mode icon at the top of the Features tab. You can then modify the elements by editing them in the inspection sequence.

The CNC Mode icon acts as a toggle, and so clicking the icon again re-enables CNC Mode.

For example:

  • CNC Mode is active:

  • CNC Mode is disabled:

  • The CNC Mode icon appears only when no element is currently being created or edited in the Features tab.

See Also

About the Inspect dialogs

Specifying the element name and mode

Using the Inspect dialog's toolbar

Setting element parameters

Setting probing strategies and methods

Using the Probe Path Editor


Specifying the element name and mode

When creating a new element, PowerINSPECT automatically specifies a unique name for the element. The name includes the type of element and a number - for example:

To change the name of the element, type a new name - for example:

The Inspect dialogs can be used in create or edit mode:

Mode

Description

Toggles edit mode on and off.

Turn edit mode on to alter any information about existing elements.

Toggles create mode on and off. When you opt to create a new element from the Element toolbar, this mode is automatically selected.

If you select this button from the Inspect dialog, PowerINSPECT automatically creates an element of the type most recently selected in the inspection sequence (including all the parameter settings for that element). If you want to create a different type of element, select the relevant button from the Element toolbar.

When you have created an element, click [image] to save its details and add it to the inspection sequence. If you exit from create mode (using the toggle button) without saving an element, the element name appears as 'Undefined' and the element is not added to the inspection sequence.

See Also

About the Inspect dialogs

Disabling CNC mode

Using the Inspect dialog's toolbar

Setting element parameters

Setting probing strategies and methods

Using the Probe Path Editor


Using the Inspect dialog's toolbar

Use the toolbar area to save or cancel the changes to a feature and remove points from a probe path:

Points Taken indicator which automatically updates as you insert points using the Probe Path Editor.

Deletes the last point in the currently selected probe path. Available when viewing features whose probe paths can be created or edited using the Probe Path Editor (for example, planes, lines and surface inspection groups).

Saves any changes you make to the settings in the Inspect dialog. Available when in create or edit mode.

Closes the Inspect dialog. Only active when not in edit or create mode.

See Also

About the Inspect dialogs

Disabling CNC mode

Specifying the element name and mode

Setting element parameters

Setting probing strategies and methods

Using the Probe Path Editor


Setting element parameters

The element parameters displayed vary depending on the type of element being created or edited - for example, the length parameter is applicable only to lines, rectangles and slots.

When adding a new element to the inspection sequence, PowerINSPECT automatically completes the element parameters but you can edit them if you wish.

  • PowerINSPECT remembers the parameters you last set for a particular element - for example, a circle - and automatically applies these to the next circle you create.

When creating an element by selecting a geometric feature from a CAD model (using Wireframe Checker), PowerINSPECT uses information from the CAD model (such as, nominal values) for some of the element parameters.

  • Some element parameters are applicable only to AutoTouchTrigger strategies and cannot be edited if a UserDefined probing strategy is selected. See Setting probing strategies and methods for more details about probing strategies.

The possible element parameters that may appear (and the elements to which they apply) are:

Button

Description

Applies to…

Nominal values of the element. The buttons toggle between the display of positional (in X, Y, Z coordinates) and orientation (in I, J, K vector values) information about the element. When in edit mode, these values can be edited for AutoTouchTrigger strategies.

When defining a probe path using surface points, the nominal values are taken from the first point in the group.

For probed lines, slots and rectangles, two sets of I, J, K values are available - the first set of values refer to the original orientation of the feature's reference plane and the second set of values refer to the orientation along the feature's length.

Surface groups

All geometric features

The radius or diameter/width of the element. The button toggles between the display of radius or diameter/width.

For arcs, cylinders and spheres the diameter is displayed and for slots the width is displayed.

Arc
Cylinder
Slot
Sphere

The radius or diameter of the top of the cone. The button toggles between the display of the radius and diameter.

Cone

The radius or diameter of the bottom of the cone. The button toggles between the display of the radius and diameter.

Cone

The start and end angle of the element and its probe path.

These angles control the amount of the feature to be measured. If you select features directly from a CAD model, PowerINSPECT uses the start angle from the CAD, but you can change this if you wish.

Arc
Cone
Cylinder

The azimuth start and end angles of the sphere and its probe path.

These angles control the amount of the feature to be measured and are useful for defining partial spheres. If you select features directly from a CAD model, PowerINSPECT uses the start and end angles from the CAD, but you can change these if you wish.

Sphere

The upper and lower elevation angles of the sphere and its probe path.

These angles control the amount of the feature to be measured and are useful for defining partial spheres.

Sphere

The length of the element.

Line
Rectangle
Slot

The width of the element.

Rectangle

Specifies the distance of the probe path from the top of the feature.

Use this to alter the effective probed length of the cone or cylinder element added to the inspection sequence. This can be useful if the feature in the CAD model is incomplete, as altering the effective probed length can prevent the measuring device probing points in space and/or possible collisions.

Cone
Cylinder

Specifies the distance of the probe path from the bottom of the feature.

Use this to alter the effective probed length of the cone or cylinder element added to the inspection sequence. This can be useful if the feature in the CAD model is incomplete, as altering the effective probed length can prevent the measuring device probing points in space and/or possible collisions.

Cone
Cylinder

Specifies the half angle of the cone - that is, the nominal angle of the cone.

This can be useful if you are creating a probe path for a cone without a CAD model.

Cone

or

Toggles between setting internal or external probing of the feature.

All geometric features

Toggles the direction vector of the feature and its probe path between normal and reversed. Using this button updates the IJK values for the feature.

Arc
Cone
Cylinder
Line
Sphere

In This Section

Example: setting start and end angles for features

Example: setting azimuth and elevation angles for a sphere

Example: setting the top or bottom distance of a feature

Example: setting internal or external probing of a feature

Example: reversing the direction vector


Example: setting start and end angles for features

When creating arcs, cones and cylinders, you can define partial features using the start and end angle parameters. When selecting these features directly from a CAD model using Wireframe Checker, PowerINSPECT automatically picks up the relevant start and end angles. For example, selecting the following arc from a CAD model:

completes the start and end angles values on the Arc Inspect dialog as follows:

Saving these details creates a feature and probe path, according to the probing strategy and method selected. For example:

When working with 3D features that have start and end angles, use PowerINSPECT's local coordinate system as a visual aid to help with editing of start and end angles. The local coordinate system is shown using dotted red, green and blue lines to represent the X, Y and Z axes of the feature - for example:

The zero position is the feature's positive X axis. Using the local coordinate system as a visual aid, you can then alter the start or end angles as required. For example, viewing a shaded version of the CAD model highlights that the cylinder feature created using Wireframe Checker has resulted in a probe path with touch points that are not in direct contact with the part:

To fix this, change the feature's start angle from -180.00° to -145.000° and save this change. The CAD View tab updates and shows that all touch points are now in contact with the part:

See Also

Setting element parameters

Example: setting azimuth and elevation angles for a sphere

Example: setting the top or bottom distance of a feature

Example: setting internal or external probing of a feature

Example: reversing the direction vector


Example: setting azimuth and elevation angles for a sphere

Use the azimuth start and end angles to define the start and end point of the sphere - for example:

Here the start and end angles are set as follows:

No. | Azimuth Start | Azimuth End
 | 0 | 360
 | 0 | 180

Use the elevation angles to define the elevation of the sphere - for example:

Here, the upper and lower elevation angles are set as follows:

No. | Upper elevation | Lower elevation
 | 0 | -90
 | 90 | 0

See Also

Setting element parameters

Example: setting start and end angles for features

Example: setting the top or bottom distance of a feature

Example: setting internal or external probing of a feature

Example: reversing the direction vector


Example: setting the top or bottom distance of a feature

If you created the following cylinder by selecting it from the CAD model, notice that because the cylinder is on an angle, the probe path contains some touch points that are not in direct contact with the part:

To change this in order to reduce the effective probed length of the cylinder, reduce the bottom distance value so that contact points are no longer in space. Saving this change updates the CAD View tab to:

See Also

Setting element parameters

Example: setting start and end angles for features

Example: setting azimuth and elevation angles for a sphere

Example: setting internal or external probing of a feature

Example: reversing the direction vector


Example: setting internal or external probing of a feature

When creating features, you may need to change the internal/external probing parameter to reflect the particular feature. For example, if you selected the following arc with the internal probing parameter applied, you can see that the feature will not be probed correctly:

To specify that you want the feature to be probed externally:

  1. Click [image] on the Features tab (so that it changes to [image]).
  2. Notice that the CAD View tab is updated to reflect this change:

  3. Click [image] to save your change.

See Also

Setting element parameters

Example: setting start and end angles for features

Example: setting azimuth and elevation angles for a sphere

Example: setting the top or bottom distance of a feature

Example: reversing the direction vector


Example: reversing the direction vector

When creating a feature by selecting a feature from a CAD model using Wireframe Checker, PowerINSPECT takes the direction vector of the feature and its probe path from the CAD model.

The direction vector is indicated in the CAD View tab by a solid yellow line with an arrow - for example:

Reversing the direction vector reverses the vector of the feature and its associated probe path. This may be useful if you are creating features without a CAD model or if you need to alter the probing direction to avoid a collision.

To reverse the direction vector:

  1. Click [image] in the Features tab (so that it changes to [image]).
  2. View the effect in the CAD View tab - for example:

  3. Click [image] to save your change.

See Also

Setting element parameters

Example: setting start and end angles for features

Example: setting azimuth and elevation angles for a sphere

Example: setting the top or bottom distance of a feature

Example: setting internal or external probing of a feature


Setting probing strategies and methods

The first time you add a particular type of element, for example a sphere, to the inspection sequence, PowerINSPECT creates the element using the most efficient probing strategy and method for that probe path. If you change these settings for an element, say a cone, PowerINSPECT remembers those settings and applies them automatically to the next cone you create.

  • Some probing parameters are applicable only to AutoTouchTrigger strategies and cannot be edited if a UserDefined probing strategy is selected.

The probing strategies and parameters available are:

Probing Strategy

Together with the probing method, the strategy controls how the probe path is calculated. The following strategies are available:

  • Manual - Default strategy for geometric features, such as arcs, cones, cylinders and spheres. With this strategy PowerINSPECT uses slices to determine the surface and intermediate points required to measure the element.
  • UserDefined - This is the only strategy available for planes and surface groups and it is the default strategy for lines. It can also be selected as a strategy for other geometric features if required. With this strategy you use the Probe Path Editor to specify the probe path required to measure the element.

Probing Method

Together with the probing strategy, the method controls how the probe path is calculated. Several pre-defined methods are available for each probing strategy.

Click [image] to view the parameters that determine how the probe path for the selected probing method is calculated.

Only advanced PowerINSPECT users should attempt to modify these parameters. If the standard probing methods included with PowerINSPECT do not meet your needs, consult your Sales Agent to discuss your requirements further.

Probe depth

Click [image] to specify that you want the machine to probe the feature at a particular depth. The probe depth value you specify will depend on the diameter of the probe you are using and the thickness of the component being measured.

View the effects of your changes on the CAD View tab - for example changing the probe depth of an arc from 1mm to 3mm:

Changing the probe depth of a cone or cylinder changes the depth for both the top and bottom points - for example, changing the probe depth from 1mm to 3mm for a cylinder:

In This Section

About Manual probing methods

About UserDefined probing methods

Changing the parameters for a probing method

How PowerINSPECT automatically selects a reference plane for a 2D feature


About Manual probing methods

For a Manual probing strategy, the following methods are available:

Method (Slices) | Description
Optimal | This method generates a probe path that consists of a fixed number of slices around an element, where each slice comprises a fixed number of evenly distributed points. The default numbers of points and slices depend on the particular element. With a circle, for example, the default is 6 points in a single slice:
SlicesPoints | This method generates a probe path that consists of the minimum number of slices around an element, where each slice in turn comprises a fixed number of points distributed evenly around the element. With a circle, for example, the default is 4 points in a single slice.
BodyPanel | This method is a special SlicesPoints probing method that, for each new 2D element, automatically creates a local reference plane. This is particularly useful when inspecting pressings.

See Also

Setting probing strategies and methods

About UserDefined probing methods

Changing the parameters for a probing method

How PowerINSPECT automatically selects a reference plane for a 2D feature


About UserDefined probing methods

The following methods are available with a UserDefined probing strategy:

Method | Description
TeachAndLearn | This method provides compatibility with previous versions of PowerINSPECT, preserving the original TeachAndLearn probe path. It uses no special Parameters, just the probe's Approach and Retract distances. It is applicable only to files that contains probe paths created using the TeachAndLearn functions.
Manual | This method allows you to pick the probe path from the CAD View.

See Also

Setting probing strategies and methods

About Manual probing methods

Changing the parameters for a probing method

How PowerINSPECT automatically selects a reference plane for a 2D feature


Changing the parameters for a probing method

If you want to change any of the parameters set for a probing method (for example, to change the number of points in a slice):

  1. Click [image] alongside the probing method drop-down list box to display the Parameters dialog.

    • Highlighting a parameter displays a short explanation of how that parameter affects the probe path, in the area just below the list of parameters (see the example in the following step).
  2. Only advanced PowerINSPECT users should attempt to modify these parameters. If the standard probing methods included with PowerINSPECT do not meet your needs, consult your Sales Agent to discuss your requirements further.

    Specify the new value for the parameter. For some options, you need to select or de-select a check box; for others (such as Margins), you need to enter a value; and for others (such as Points), you need to click in the box showing the current value of the parameter and then increment or decrement the value, for example:

  3. Click [image] to save your changes.

See Also

Setting probing strategies and methods

About Manual probing methods

About UserDefined probing methods

How PowerINSPECT automatically selects a reference plane for a 2D feature


How PowerINSPECT automatically selects a reference plane for a 2D feature

The way in which PowerINSPECT applies a reference plane depends on the probe method selected:

If the BodyPanel method is selected, PowerINSPECT automatically creates a local reference plane for the feature, for example:

If any other probing method is selected, PowerINSPECT tries to match the feature to an existing reference plane by considering:

  • The normal orientation of the feature and the plane (they must share the same orientation - with a tolerance of +/- 15°)
  • The location of the plane - if there is more than one plane of the same orientation of the feature, PowerINSPECT selects the one closest to the feature.

If no suitable plane can be found, PowerINSPECT automatically creates one.

  • Except when using the BodyPanel probing method, it is recommended that you create any planes you want to use as reference planes before creating 2D features. When you create a 2D feature, PowerINSPECT then automatically selects the most appropriate reference plane for that feature.

See Also

Setting probing strategies and methods

About Manual probing methods

About UserDefined probing methods

Changing the parameters for a probing method


Using the Probe Path Editor

Use the Probe Path Editor where it is appropriate to create or modify probe paths interactively in the CAD view. For example, when creating user-defined probe paths for planes, lines and surface inspection groups, and when creating intermediate probe paths.

In This Section

Creating user-defined probe paths

Editing user-defined probe paths


Creating user-defined probe paths

When creating probed planes and surface inspection groups, you can only specify a user-defined probe path.

For all other elements, you can either generate a probe path using a Manual probing strategy, or define a probe path yourself by selecting a UserDefined probing strategy.

The Probe Path Editor is activated automatically whenever you add or edit an element that has a UserDefined probing strategy. When the Probe Path Editor is active, you can create a user-defined probe path as follows:

  1. In the CAD View tab, move the Probe Path Editor cursor ( [image]) to the location where you want the first position in the probe path to be.
  2. To add a probed position, double-click the location on the CAD model where you want the probed position to be. When the Probe Path Editor is active, approach points for each probe position are shown using a yellow box, for example:

  3. Add further positions to the probe path as required - for example, for a plane:

    • Each element requires a minimum number of touch points to create it successfully. You can track how many touch points are still required using the Points Taken indicator on the Inspect dialog, which is updated automatically as you specify points.
  4. Once you have finished adding points to the probe path, click [image] on the Inspect dialog. PowerINSPECT automatically calculates a probe path to measure the points you selected and displays this in the CAD View tab. For example:

  • If you need to edit the probe path you have created, click [image] on the Inspect dialog for that element - see Editing user-defined probe paths.

See Also

Using the Probe Path Editor

Editing user-defined probe paths


Editing user-defined probe paths

You can edit existing user-defined probe paths or convert Manual probe paths to user-defined probe paths:

  1. Select the item in the inspection sequence.
  2. Click [image] on the Inspect dialog.
  3. If you want to convert a probe path that was created using a Manual strategy, to a UserDefined one, change the probing strategy selected on the Inspect dialog to UserDefined.
  4. Check that the Probe Path Editor is active in the CAD View .

    When using the Probe Path Editor in edit mode, the approach points appear as yellow boxes, for example:

    The Probe Path Editor cursor also appears (as [image] [image] or [image]) - for example:

  5. Edit the path. If you want to:
    • insert a new position after the last position in the current probe path, place the [image] cursor over the CAD model and double-click to insert a new probed position.
    • move a touch point: 1) place the [image] cursor over the touch point; 2) using the left mouse button, drag the touch point to its new location; 3) release the mouse button to complete the move. For example:

    • delete a probed position: 1) place the cursor over the touch point; 2) click the right mouse button to display a pop-up menu; 3) Select Delete from the pop-up menu to delete the position. For example:

  6. Click [image] on the Inspect dialog to save your changes.

See Also

Using the Probe Path Editor

Creating user-defined probe paths


View – Probe Paths

This menu allows you to control which probe paths can be seen in the CAD view.

In This Section

View – Probe Paths – Hide

View – Probe Paths – Show All

View – Probe Paths – Show Selected

View – Probe Paths – Show Visible


View – Probe Paths – Hide

Hides all probe paths, regardless of which items are selected in the inspection sequence. For example:

See Also

View – Probe Paths

View – Probe Paths – Show All

View – Probe Paths – Show Selected

View – Probe Paths – Show Visible


View – Probe Paths – Show All

Displays the probe paths for all items in the inspection sequence (or all items in the selected range). For example:

See Also

View – Probe Paths

View – Probe Paths – Hide

View – Probe Paths – Show Selected

View – Probe Paths – Show Visible


View – Probe Paths – Show Selected

Displays only the probe path for the currently selected element in the inspection sequence - for example:

See Also

View – Probe Paths

View – Probe Paths – Hide

View – Probe Paths – Show All

View – Probe Paths – Show Visible


View – Probe Paths – Show Visible

Displays the probe paths for all currently visible elements (that is, elements with the light bulb icon switched on in the inspection sequence). For example:

See Also

View – Probe Paths

View – Probe Paths – Hide

View – Probe Paths – Show All

View – Probe Paths – Show Selected


New ways to rotate the CAD view

There are now three additional ways in which you can rotate the CAD view. Previously, the only mode of rotation was around the centre of the view. You can now also rotate around:

  • what is currently visible in the view (Visible View option - this is the default mode);
  • the CAD datum (Origin option);
  • a custom point (Selected Point option).
  • The original mode of rotation, around the centre of the view, is now available as the View option.

To specify the mode of rotation, use the View - Rotation Anchor menu option.

In This Section

View – Rotation Anchor


View – Rotation Anchor

When rotating the CAD view you can choose the point at which you want to 'anchor' the rotation.

Supposing that you have two spheres in a CAD file. By default, they are rotated around the centre of what is currently visible in the CAD View tab (in accordance with the default Rotation Anchor - Visible View option):

At this stage, when the entire part is displayed in the CAD View tab, the Rotation Anchor - Visible View option gives the same results as the Rotation Anchor - View option (which causes the CAD model to be rotated around the centre of the entire view as opposed to around just what is visible in the CAD View tab). However, you can see the difference if you zoom in on one of the spheres.

If the Rotation Anchor is set to View, it is difficult to reach the centre of the sphere, as the CAD is being rotated around the whole view (including the sphere that is not currently shown in the CAD View tab):

However, when you switch back to the default Visible View option, so that the sphere is rotated around the centre of what is currently visible in the CAD View tab, you are automatically at the centre of the zoomed view:

There are two other Rotation Anchor options besides Visible View and View:

  • Origin - the CAD model is rotated around the CAD datum (in this case, the first sphere):

  • Selected Point - the CAD model is rotated around a custom point, for example the sphere other than the datum:

    This gives the following rotation around the second sphere:

    You can also select a feature as the custom point, for example:

    The Selected Point option is greyed out until you define a point about which to rotate the view, by one of the following means:

    • Right-click the appropriate feature in the sequence tree and select Rotation Anchor (the menu item is greyed out for inappropriate items such as groups and surface inspection points).
    • Click the Edit Geometrics button [image] and hover over the appropriate geometric element in the CAD view. Then right-click and select Rotation Anchor from the context menu.
    • Click the Surface Selector button [image] and select the appropriate surface(s) in the CAD view. Then right-click and select Rotation Anchor from the context menu. The point taken will be the centre of the selected surface(s).

      Once you have selected a point, the View - Rotation Anchor - Selected Point option is automatically active and all CAD rotations are around this point until you select a different point or View - Rotation Anchor option.

    • You can also select as an anchor the centre point of the bounding box of one or more surfaces chosen using the Surface Selector. Simply right-click following selection and select Rotation Anchor.

See Also

New ways to rotate the CAD view


New calculation method for best fit

PowerINSPECT4.3 includes a new Rotational Axis method for calculating a best fit. This method allows rotation only around a specified axis, with the centre of rotation lying on that axis (as opposed to Rotation Only, which allows rotation about a fixed point).

The Rotational Axis method is useful if you wish to preserve the position and orientation of a feature - for example, if you have a part that attaches to another part at a specific point.

The following settings are available with the method:

  • Lock the translation along the vector – by default, PowerINSPECT is given freedom to translate above the selected axis. However, if you want to fix the translation along the vector, select this option.
  • Reference Axis - select the axis around which you want the CAD model to be rotated during the best fit calculation. Alternatively, you can click [image] to select a feature directly from the CAD view.

The new settings appear on the Best Fit Definition dialog as follows:

In This Section

Example of rotating around an axis


Example of rotating around an axis

This section illustrates how the Rotational Axis calculation method may be useful. It shows the effects of using this method when translation along the vector is both locked and unlocked.

In This Section

Scenario

Rotating about an axis: locked vector

Rotating about an axis: unlocked vector


Scenario

A PowerINSPECT session, using a CAD model of a blade, has been set up as follows:

  • A geometric group was created with a plane (Plane 1) and a cone (Cone 1), then a 3D circular feature (Circle 1) was created using the plane and the cone.
  • A surface inspection group (Inspection Group 1) was created containing a number of points.
  • An RPS alignment was created using the circle and one of the surface points (SP 1):

    • To create the alignment, a 'whole' feature was used, and Lock IJK was set. Therefore, with three translation axes and two rotational axes having been set, only one point is required to complete the alignment. This can be seen in the RPS Alignment Definition dialog:

  • A further surface inspection group (Inspection Group 2) was created and measured:

  • The above surface inspection group is to be 'best fitted' around the axis of the cone, but without causing the cone to move along its vector, so that neither the blade nor the part which is to fit into the cone will require any subsequent adjustment. For this, we use the 'locked vector' method.
    • For the sake of comparison, the results for the 'unlocked vector' method are also given.

See Also

Example of rotating around an axis

Rotating about an axis: locked vector

Rotating about an axis: unlocked vector


Rotating about an axis: locked vector

  1. Click [image] from the Element toolbar to display the Edit Best Fit Definition dialog.
  2. Complete the dialog as follows:

  3. Click OK to add the Best Fit element to the inspection sequence.
  4. Select the Best Fit element from the inspection sequence, click the right mouse button and select Play from the context menu to display the Best Fit Analyser dialog.
  5. Click GO Step!! on the Best Fit Analyser dialog. A graphical representation of the deviation is shown:

    The green line shows the original deviation and the red line shows the deviation after the calculation. Keep clicking the button until the red line turns grey, which means that the results cannot be improved upon.

  6. Click OK to close the Best Fit Analyser dialog.
  7. The CAD model is updated:

    The translation of the vector along the cone is unchanged, as can be seen in the following row of the Info tab:

See Also

Example of rotating around an axis

Scenario

Rotating about an axis: unlocked vector


Rotating about an axis: unlocked vector

If you use the Rotational Axis method of calculation but without locking translation along the vector, the results of the best fit in the CAD view would be similar, but the translation of the vector along the cone is changed as required, as can be seen in the following row of the Info tab:

See Also

Example of rotating around an axis

Scenario

Rotating about an axis: locked vector


More constraining features in RPS alignments

In the RPS Alignment Definition dialog:

it is now possible to add up to 12 constraining features using the [image] button that appears after the last feature. If not all the selected features can be displayed simultaneously in the dialog, you can use the scroll bar on the right.

This allows you to 'over-constrain' an alignment as required, typically in the case where it cannot be created perfectly and some 'best fitting' is therefore required. Such alignments are often used in the automotive and aerospace industries.


Importing measured results into another measure

PowerINSPECT 4.3 includes a new menu option, Measures - Import Measured Data, for importing measured results from one measure into another measure.

This allows you to move a part to a new position on a machine and measure additional features on it, without needing to remeasure all the previously measured features. Only the features used in the part's alignment need to be remeasured, as the Measures - Import Measured Data option automatically copies all other measurement results from one measure into the new measure and recalculates the results according to the remeasured alignment.

In This Section

Measures - Import Measured Data


Measures - Import Measured Data

Use this menu option if, after measuring, you need to physically move a part on a machine and do not want to remeasure all the previously measured items in the inspection sequence. This may happen, for example, if initial measurement shows that a feature on a part is out of tolerance and so the part is returned to the machine tool for remachining. When the part is ready to be measured after remachining you may not wish to repeat all of the previously measured features that were within tolerance.

The following steps illustrate how you may wish to use this option within PowerINSPECT:

  1. You have a PowerINSPECT session with a geometric group (Geometric Group 1) containing the features necessary to create a PLP alignment, a further geometric group (Geometric Group 2), and a surface inspection group (Inspection Group 1). Measure the geometric groups and the surface inspection group, so the measurements are stored in the Master Part measure:

    You can view detailed measurement information for inspection groups and geometric features on the Report tab - for example, the measurement results for Inspection Group 1:

  2. For some reason, you need to remove the part from the machine. You later reposition the part at a different location on the machine.
  3. Create a new measure, called Final_Measure, using the Measures - New Measure menu option, which becomes the current measure. Notice that the measurement icons for groups in the inspection sequence are updated to indicate that these groups have not yet been measured in Final_Measure:

    Notice also that the information on the Report tab is updated to indicate that no measurement results exist - for example, for Inspection Group 1:

  4. Remeasure the features in Geometric Group 1 that are used in the PLP alignment, to update the alignment.
  5. Select the Measures - Import Measured Data option. The Import Measure dialog is displayed for you to choose the measure (Master Part) from which you want to import data.
  6. Click OK. PowerINSPECT imports the measured data from Master part into Final_measure and recalculates it using the remeasured alignment you created in Step 4. Notice that the inspection sequence for Final_Measure updates to reflect that measurement data has been imported:

    The information on the Report tab is also updated to show details of the measurements imported from Master part. Notice that the deviations remain the same:

  7. If required, add additional items in the new measure - for example:

  8. When the additional items have been measured, the inspection sequence updates to show that all the measurement results are now stored in the current measure (Final_Measure):

    In the Master part measure, the additional items remain unmeasured:

See Also

Importing measured results into another measure


Transforming a part's coordinate system

PowerINSPECT 4.3 includes a new menu option, Measures - Transform Nominals, that allows you to effect the transformation of a part to a different coordinate system (provided that the translation/rotation to the target datum is known) and save the transformation from one session to the next. This saves you having to load different versions of the same model in order to inspect it in different coordinate systems.

This is especially useful if, for example, you wish to provide inspection information in Tool Position coordinates and create transformed reports in Body Position/'Car Line' coordinates.

In This Section

Measures – Transform Nominals


Measures – Transform Nominals

Once a part has been measured in one orientation/position, this option generates the results that would be produced from transforming the part to a different orientation/position.

  • Although the option by definition transforms the part's nominal values, it also has the effect of transforming everything else, including the CAD and measured data, and the sequence tree objects.
  1. Create a new PowerINSPECT session and display the aligned part in the CAD view, for example:

    • You can verify the coordinate data by clicking the Report tab:

  2. Select Measures - Transform Nominals from the menu.
  3. The Transformation Matrix dialog is displayed for you to specify the required transformation.
    • Once you save the .pwi file, the transformation is saved with the part, so that the next time you open the file the part will be transformed automatically. When you wish to revert to the original coordinate system, simply use the Delete button on the Transformation Matrix dialog to remove the transformation, and then resave the file.
    • The original Deviations are preserved.

      Suppose that you opted to rotate the CAD model in step 1 by 45 degrees Around Z. The Report tab displays the transformed values:

    • The inclusion of a CAD View Report item allows you to visualise the transformation.
    • For offsetting just an alignment (rather than the entire coordinate system) in the case where not all the features selected for the alignment are currently aligned with the principal axes, or where one or more of the points selected for the alignment do not match the CAD, refer to the appropriate alignment descriptions in the Reference Help.

See Also

Transforming a part's coordinate system


Creating probe paths from a file of nominal points

PowerINSPECT 4.3 includes a new menu option, Tools - Import Points, which allows you to create probe paths automatically when importing a file that contains coordinates of specific nominal points. To see a sample file format, refer to Tools - Import Points.

Having loaded the CAD model that is associated with the file, select Tools - Import Points and then select one of the following options:

  • Create Surface Inspection Group, to create a surface inspection group from the specified points.
  • Create Geometric Points, to create a geometric group of single points from the specified points.

In This Section

Tools - Import Points


Tools - Import Points

This facility allows you to create a probe path from a text file containing coordinates of specific nominal points, for example a comma separated file of coordinates in an XYZIJK format:

106.451827,50.000006,34.095465,-0.290788,-0.541083,0.789096

-0.000002, 49.524182,15.847267,0,-0.541082,0.84097

-80.268954,50.093428,25.603407,0.219156,-0.541084,0.811911

-97.762263, 0,15.50753,0.303025,0,0.952983

0,0,-0.600686,0,0,1

76.53957,0,9.198199,-0.23697,0,0.971517

91.946816,-50.000014,29.156563,0.251169,0.541084,0.802585

-1.627348,-50.000014,15.112013,0.004443, 0.541082,0.840958

-94.703469,-50.000002,30.033494,0.258701,0.541083,0.800189

To import the file of points into PowerINSPECT:

  1. Load the CAD model that is associated with the file you are importing.
  2. Select :
    • Tools - Import Points - Create Surface Inspection Group, to create a surface inspection group from the points specified in the file; or
    • Tools - Import Points - Create Geometric Points, to create a geometric group of single points from the points specified in the file.

      The Import Points wizard is displayed:

  3. Click Browse to open the standard Windows Open dialog, and locate the points file that you want to import.

    If PowerINSPECT recognises the file extension, it displays descriptions of the recognised file type(s) under the Possible Formats tab, for example:

  4. Highlight the required format. If there is no format displayed under Possible Formats, click the All Formats tab and highlight the required format from the list displayed.

    If you want to preview how the selected format interprets the point coordinates in the file, click Preview. For example:

    Click OK to close the window.

  5. When you have selected the required file format, click Next to view a summary of the options that will be used in the import process:

    If you are satisfied with this summary, click Next to proceed. Otherwise, verify the options using the Preview button before proceeding. If you wish to change the file format, click Back and proceed from step 4. If you wish to stop the import process, click Cancel.

  6. PowerINSPECT starts importing the points into a new group. If you wish to stop the import process, click Stop and confirm by clicking Yes. PowerINSPECT stops the import process, but you will need to delete the new group from the inspection sequence.

    Once the import is complete, PowerINSPECT displays the points in the CAD view and a message box appears confirming the creation of the inspection or geometric group in the inspection sequence, and the number of points used to create it.

  7. Click OK to close the confirmation message, followed by the Done! button to close the wizard.

    For an example of the creation of a geometric group, see Tools - Import Points - Create Geometric Points.

    For an example of the creation of a surface inspection group, see Tools - Import Points - Create Surface Inspection Group.

In This Section

Tools - Import Points - Create Geometric Points

Tools - Import Points - Create Surface Inspection Group


Tools - Import Points - Create Geometric Points

Refer to Tools - Import Points for the use of the Import Points wizard.

Suppose that you have used the wizard to import the file containing the 9 points shown in the example in Tools - Import Points, into the following model:

  1. The following single points appear in the inspection sequence, making up a new geometric group:

  2. Once you clear the confirmation message and wizard, the 9 points are displayed as follows:

See Also

Tools - Import Points

Tools - Import Points - Create Surface Inspection Group


Tools - Import Points - Create Surface Inspection Group

Refer to Tools - Import Points for the use of the Import Points wizard.

Suppose that you have used the wizard to import the file containing the 9 points shown in the example in Tools - Import Points, into the following model:

  1. The following inspection group appears in the inspection sequence:

  2. Once you clear the confirmation message and wizard, the 9 points are displayed as follows:

  3. Amend the probing strategy and method as required.

See Also

Tools - Import Points

Tools - Import Points - Create Geometric Points


Enhancements to reporting

The information displayed in the Report tab has been enhanced as follows:

  • You can now insert a CAD View Report item into the inspection sequence, or into any open group within the inspection sequence, to generate a corresponding snapshot of the CAD view and its defining characteristics in the Report tab. You can control the orientation of each snapshot of the CAD view that is inserted into the report. You also have the option of setting the item to Modify View when played, which has the effect of changing the position, zoom and orientation of the CAD view back to how they were in the report item, when the CAD View Report item is played as part of the inspection sequence.
    • The snapshot also appears in the Info tab when the item is selected in the inspection sequence.
    • You can select the Global Report Options dialog (see below) in order to set or unset the Hide background of screenshots and High resolution of screenshots options. The former option is selected by default so that the backgrounds are not included in the snapshots. If the latter option is selected, then snapshots are created with the same quality as that of CAD View printing (if it is not selected, which is its default setting, then the quality is the same as that of the CAD View Print Preview).

      For some examples of CAD View Report items, refer to Measures - Transform Nominals.

  • You can display probed points. Select Measures - Parameters - Variables and click Global report options:

    The following dialog is displayed:

    You can then select the Show probed points option, which will enable the reporting of individual measured points.

  • Unmeasured surface inspection groups are indicated by the phrase 'No points have been taken'.
  • Unmeasured values are displayed as xxxxx (as in the example below).
  • Each geometric feature is followed by a string in parentheses indicating the reference items to which the results are relative, for example the datum, or the features defining an angle plus the associated reference plane(s):

  • Additionally, you can now choose to transform a part's coordinate system and view the updated coordinate data in the Report tab.

In This Section

CAD View Report Item


CAD View Report Item

There may be times when you wish to add a snapshot of the current CAD view to the inspection report. For example:

  • After creating a particular CAD View State, you may decide that, in addition to generating this particular CAD view in the inspection sequence, it would also be useful to record the characteristics of the view for the inspection report.
  • After creating a surface inspection group, you can take a snapshot of the current CAD view without all the elements in the geometric group(s) being displayed (instead of having to go back into the inspection sequence in order to turn them all off).

The majority of the CAD view characteristics are saved with each snapshot, for example:

  • Visible elements
  • Visible CAD model levels
  • Position, zoom and orientation
  • Shading mode
  • Display mode - Labels, In Place or Confetti
  • Filter Display settings.
  • The position, zoom and orientation of the CAD view are updated dynamically to match the CAD View Report item when you right-click the item and select Restore View (the effect is the same as playing the CAD View Report item in the inspection sequence when the item is set to Modify View when played).
  • The characteristics of the report are updated dynamically to match the CAD view when you right-click the CAD View Report item and select Record State.

The inspection sequence item that allows you to take a snapshot is called the CAD View Report item. To insert such an item into the inspection sequence:

  1. Set up the CAD view so that it has the characteristics that you want to save.

    Click the CAD View Report button CadViewReportButt to display the CAD View Report dialog.This is found:

    • on the Element toolbar when inserting the item at the Definition (or top) level of the inspection sequence:

      or when a surface inspection or section group is open.

    • on the Miscellaneous toolbar when inserting the item within an open geometric group in the inspection sequence:

  2. Complete the CAD View Report dialog:

    • Change the Name as required.
    • Click the check box after Modify view when played if you wish the position, zoom and orientation of the CAD view to change back to how they were in the report item, when the item is played as part of the inspection sequence.
    • Specify the required Orientation by clicking the Portrait or Landscape radio button.
    • The item will by default appear in the Report tab. If you do not want this, click the button following Output to report so that it changes to [image] (the button works as a toggle, so you can simply click it again should you wish to revert it).
  3. A CAD View Report item is added to the inspection sequence - for example:

    • The snapshot also appears in the Info tab when the item is selected in the inspection sequence.
  4. When you click the Report tab, the recorded CAD view is displayed:

  5. If you want to change any of the displayed characteristics of the report item, switch to the CAD View, update the display, right-click the CAD View Report item in the inspection sequence and select Record State from the context menu. When you switch to the Report tab again, you will see that the picture has been updated.

    If you want to change the position, zoom and orientation of the CAD view to match those of the report item, right-click the CAD View Report item in the inspection sequence and select Restore View from the context menu. The CAD view is immediately updated.

  6. When you measure the elements in the inspection sequence, PowerINSPECT will automatically change the position, zoom and orientation of the CAD view to match each CAD View Report item in the inspection sequence that has Modify view when played selected.

See Also

Enhancements to reporting


New Auto Calculate option for probing

You can now specify whether you want PowerINSPECT to calculate geometric features automatically during manual probing. In earlier versions, PowerINSPECT automatically tried to calculate geometric features once the minimum number of points had been taken.

It can be useful to disable 'auto calculation' when probing features with a large number of points (such as cones) to speed up the probing process.

To control auto calculation, use the Auto Calculate [image] button:

  • Auto calculation is on by default, so the default behaviour is the same as in earlier versions of PowerINSPECT.

PowerINSPECT remembers the setting you specify on this dialog and applies it to all probed features.

In This Section

Example of probing with auto calculation on

Example of probing with auto calculation off


Example of probing with auto calculation on

The following example shows the effect of probing a sphere, using a 'bouncing ball' probe path, when auto calculation is on:

  1. The first point has been probed and PowerINSPECT is waiting for the second point to be probed. The Number of points taken indicator has a red background to indicate that the minimum number of points required to define this feature has not yet been reached:

  2. As more points are taken, PowerINSPECT tries to calculate the feature (see the X, Y, Z and other values on the Feature Probing dialog) and represents these values graphically in the full-screen measurement CAD view. Once the minimum number of points required to define the feature has been reched (four for a sphere), the background of the Number of points taken indicator changes to green. Probing is not yet complete however, as the probe path contains five probed points and only four have been probed:

  3. Once the fifth point in the probe path has been probed, PowerINSPECT completes the calculation of the sphere, automatically closes the Feature probing dialog and displays the measured feature in the CAD view:

See Also

New Auto Calculate option for probing

Example of probing with auto calculation off


Example of probing with auto calculation off

The following example shows the effect of probing a sphere, using a 'bouncing ball' probe path, when auto calculation is off:

  1. The first point has been probed and PowerINSPECT is waiting for the second point to be probed. The Number of points taken indicator has an orange background to indicate that auto calculation is off and so calculation will be deferred until all the points in the probe path have been probed:

  2. As more points are taken, PowerINSPECT does not try to calculate the feature from the points taken. PowerINSPECT is not aware whether the minimum number of points has been reached, so the background of the Number of points indicator remains orange to indicate that auto calculation is off.

    Probing is not yet complete, as the probe path contains five probed points and only four have been probed:

  3. Once the fifth point in the probe path has been probed, PowerINSPECT calculates the sphere, automatically closes the Feature probing dialog and displays the measured feature in the CAD view:

See Also

New Auto Calculate option for probing

Example of probing with auto calculation on


Changes to modifying a CAD View State item

To be more consistent with other areas of PowerINSPECT, the way in which you modify CAD View State items has changed as follows:

To...

Complete these steps:

rename a CAD View State item
  1. Select the CAD View State item that you want to rename from the inspection sequence.
  2. Click the Modify Element [image] button to display the CAD View State dialog.
  3. Enter a new name for the item in the Name field and click OK.

Alternatively, you can right-click the CAD View State item in the inspection sequence, select Rename Item option and then type in the new name.

update a CAD View State item with the position, zoom and orientation currently displayed in the CAD view
  1. Set the CAD view to show the position, zoom and orientation you want to save.
  2. Select the CAD View State item that you want to update in the inspection sequence.
  3. Click the right mouse button and select Record State from the context menu. The CAD View State item is updated.

change the CAD view to reflect the position, zoom and orientation settings saved in a CAD View State item
  1. Select the CAD View State item in the inspection sequence.
  2. Click the right mouse button and select Restore View from the context menu. The CAD view updates to reflect the settings saved in the CAD View State item.


Colours for box labels

The colours used for box labels have changed as follows:

  • The colour scheme for surrounding boxes has been simplified, so it is easier to see which items are in, or out, of tolerance.
  • Deviation values are now colour-coded to show whether they are within, above or below tolerance.

In This Section

Surrounding box colours

Deviation value colours


Surrounding box colours

The surrounding boxes use the following colour scheme:

  • Green - measured within tolerance.
  • Red - measured out of tolerance (either above or below tolerance).
  • Yellow - unmeasured (applicable to geometric features only).
  • Black - cannot be measured (for example, constructed planes).

For example:

See Also

Colours for box labels

Deviation value colours


Deviation value colours

The deviation values displayed within box labels are colour-coded to denote whether the value is within, above or below tolerance:

  • Green - within tolerance.
  • Red - above tolerance.
  • Blue - below tolerance.

For example:

  • The deviation values appear in box labels only if More Information is selected on the Filter Display dialog.

See Also

Colours for box labels

Surrounding box colours


CAD levels for surface inspection groups

PowerINSPECT 4.3 allows you to define the CAD levels (or CAD context) that apply to surface inspection for individual surface inspection groups.

Previously, the CAD context applied to all surface inspection groups in the inspection sequence and could not be overridden for individual surface inspection groups.

Defining the CAD levels to be used when inspecting a surface inspection group can be useful if you want to:

  • Provide more guidance for manual measurement, for example to control the surface on which points are taken without specifying the actual coordinates to be taken.
  • Remove the possibility of picking a point in the wrong surface. For example, when you are probing a surface point on a pressing, two surfaces may be very close to each other, and PowerINSPECT may try to match the point you probe on the part to the wrong CAD surface.

    The following example shows two surfaces within tolerance of the probe contact. Using CAD levels (with each surface contained in a different CAD level) you can specify that only the top surface is active for this inspection so that PowerINSPECT will not try to match the probed point with the lower CAD surface.

In This Section

Specifying CAD levels for a surface inspection group


Specifying CAD levels for a surface inspection group

By default, all surface inspection groups in the inspection sequence use the same CAD levels (or CAD context) for inspection. If a level is included in the CAD context, PowerINSPECT tries to match measured points to CAD surfaces in that level. You can view the levels currently set for inspection on the CAD File Manager tab. A tick alongside a CAD level indicates that it will be included in the inspection - in the following example only Level 1 : Surfaces has been selected as the CAD level for inspection:

To override the default CAD levels for inspection for an individual surface inspection group:

  1. Select a surface inspection group from the inspection sequence and click [image] to display the Surface Inspection Group dialog.
  2. Click the Levels to use button to display the Level Selection dialog:

    By default all the levels available are selected as active (that is, they will be used when inspecting this surface inspection group). You can move levels between the Active levels (included in the inspection) and Available levels (not included in the inspection) lists as follows:

    Linked PowerINSPECT Graphics Directory Template – moves all the levels from the Active levels list to the Available levels list.

    Linked PowerINSPECT Graphics Directory Template – moves the selected level from the Active levels list to the Available levels list.

    Linked PowerINSPECT Graphics Directory Template – moves the selected level from the Available levels list to the Active levels list.

    Linked PowerINSPECT Graphics Directory Template – moves all the levels from the Available levels list to the Active levels list.

  3. When you have selected the levels you want to be used when inspecting this surface inspection group, click OK to close the dialog and return to the Surface Inspection Group dialog.
  4. When you have completed the Surface Inspection Group dialog, click OK.

When you inspect the part, PowerINSPECT ignores any surfaces in CAD levels that have not been selected for inspection. For example, if a part has the following levels:

and you have a surface inspection group with points on surfaces in all of these levels, PowerINSPECT produces results for all surfaces - for example:

If, however, you exclude level 2 : Wireframes from the inspection, PowerINSPECT ignores any surfaces in that level when inspecting the part - for example:

See Also

CAD levels for surface inspection groups


Changes to the Options dialog

When using the Options dialog, you can now get help, in the form of popups, on the settings available.

Several new settings have also been added to the Options dialog for:

  • changing fonts.
  • changing the colour of label lines and arrows.
  • changing the colours of acquired and scanline points in point clouds.
  • changing the override for the type of comments displayed during an inspection.

To display the Options dialog, select Tools - Options from the menu.

In This Section

Getting help on the Options dialog

Changing fonts

Changing the colour of label lines and arrows

Changing the colours of acquired and scanline points

Setting preferences for Comment behaviour


Getting help on the Options dialog

There is help, in the form of popups, for the various settings in the dialog.

To display a popup, click the [image] button in the top right of the dialog and move your cursor (now in the form of a question mark) over the required setting:

Click to display the relevant popup, for example:

See Also

Changes to the Options dialog

Changing fonts

Changing the colour of label lines and arrows

Changing the colours of acquired and scanline points

Setting preferences for Comment behaviour


Changing fonts

You can now change the font used for the Grid and Scale measurements in the CAD view, and also for the Labels. Select Fonts:

By default, the Use System Font field is ticked and the Grid and Scale Font and Labels Font fields are not available. To change a font, deselect the Use System Font field to make the other fields available and then make the required font selection(s) from the Grid and Scale Font and/or Labels Font drop-down list(s). Then click the Apply button to change the appropriate fonts in the CAD view (or else the OK button if you wish to apply the changes and close the dialog).

See Also

Changes to the Options dialog

Getting help on the Options dialog

Changing the colour of label lines and arrows

Changing the colours of acquired and scanline points

Setting preferences for Comment behaviour


Changing the colour of label lines and arrows

You can now change the colour of the line used to identify the feature or point to which a box label refers - for example:

To change the colour of the label arrows, use the Label arrow colour option under Colours - General:

To change a colour, display the standard colour palette by either double-clicking the colour for the setting that you wish to change, or clicking the button under Main colour. Then select a different colour. The newly selected colour replaces the existing one. If you wish to see how this new colour will look within PowerINSPECT, click the Preview button. If you then wish to revert to the original colour, click the Reset button.

See Also

Changes to the Options dialog

Getting help on the Options dialog

Changing fonts

Changing the colours of acquired and scanline points

Setting preferences for Comment behaviour


Changing the colours of acquired and scanline points

There are two new options under Colours - Point Cloud which allow you to specify additional colours when working with point clouds:

  • Acquired points, which governs the colour of points being collected by a laser before being projected onto the surface (the default colour is white).
  • Acquired scanline points, which governs the colour of acquired laser line points for geometric entities and surfaces in the CAD view (the default colour is red).

  • To display acquired scanline points in the CAD view, the Show probe centre option (under Display Options - CAD View) must be selected.

See Also

Changes to the Options dialog

Getting help on the Options dialog

Changing fonts

Changing the colour of label lines and arrows

Setting preferences for Comment behaviour


Setting preferences for Comment behaviour

If the current inspection session has one or more Comments Linked PowerINSPECT Graphics Directory Template in the inspection sequence, then the radio button selected under the Comments dialog determines their behaviour during an inspection:

  • Click Modal if Comments have to be acknowledged by the user (by clicking [image]) during an inspection before he can continue measuring.
  • Click Modeless if Comments can be left open while the user continues measuring.
  • Leave the default Use Comment Setting selected if there is to be no override. This means that the behaviour of each individual Comment is determined by the the setting with which it is associated in the inspection sequence:

    The above Comment is currently set to Modeless because the default Display as modeless item is ticked. If you wish the Comment to behave in a Modal fashion so that the user is forced to acknowledge it before continuing, untick Display as modeless item and click [image].

See Also

Changes to the Options dialog

Getting help on the Options dialog

Changing fonts

Changing the colour of label lines and arrows

Changing the colours of acquired and scanline points


Using unmeasured features to create GD&T items

The way in which you create GD&T measurements has changed as follows:

  • Both measured and unmeasured features are now available for selection when using the GD&T Wizard.
  • The initial calculation for all GD&T measurements shown on the Result Preview screen of the Wizard is now performed using nominals, rather than using data from the current measure. The GD&T measurement details shown on the Info tab still apply to the current measure.

In This Section

Using the GD&T Wizard


Using the GD&T Wizard

Use the GD&T Wizard to define a GD&T measurement as a geometric element and then report on whether the features against which it is measured meet your criteria.

The instructions in the wizard vary depending on the type of measurement you are creating. The following example shows how to create a GD&T perpendicularity measurement using an unmeasured cylinder and a measured plane:

  1. Open a geometric group and then click Linked PowerINSPECT Graphics Directory Template on the Element toolbar to display the GD&T Wizard:

    Linked PowerINSPECT Graphics Directory Template

  2. If you want to change the name used to identify the GD&T element in the geometric group, enter this in the Name box.
  3. Select Perpendicularity and then click Next > to display the next screen in the wizard:

    Linked PowerINSPECT Graphics Directory Template

    The wizard screen is divided into the following areas:

    - Instructions on how to use this screen.

    - The GD&T control frame. This information is built up by what you select on this screen, for example, here it shows the Perpendicularity symbol and that the feature should have a tolerance of 0.01 diameter in relation to Datum A.

    - Feature and Datum areas are where you select the feature to be measured and the datum(s) against which it is to be measured. Here, Cylinder 1(unmeasured, as denoted by [image]) is selected as the feature and Plane 1 (measured, as denoted by [image]) as the single datum.

    -Tolerance area is where you define the tolerance for the measurement.

    - Click the Show me an example button to see an example diagram for this case.

  4. When you have answered the wizard's questions, click Next > to display the Result Preview screen and preview the results of the GD&T measurement, calculated using the features' nominal data. Coloured text is used to denote whether the measurement is within tolerance (green) or out of tolerance (red) - for example:

    Scroll to see more details:

    Linked PowerINSPECT Graphics Directory Template

    Here you can see the tolerance zone. A measurement is out of tolerance if the Measured Zone Width value is greater than the Tolerance Zone + Bonus value.

    • A bonus may be added if you use an MMC or LMC material modifier.
  5. Click Print if you want to print the information displayed on the Result Preview screen immediately.
  6. If you want to:
    • add the GD&T measurement as an element to the inspection sequence, click Finish.
    • amend details of the GD&T measurement before adding it to the inspection sequence, click < Back to revisit previous screens of the GD&T Wizard.
    • cancel the GD&T measurement, click Cancel.

Once a GD&T measurement has been added to the inspection sequence, you can view its details using the Info tab.

See Also

Using unmeasured features to create GD&T items


Extracting files from a Catia Export file

PowerINSPECT4.3 introduces integrated support for Catia export (.exp) files. These files constitute an archive format that can contain one or more Catia CAD (.fic) files, which may or may not be related.

PowerINSPECT now enables you to extract individual CAD (.fic) files from an export (.exp) file.

Use the Tools - Extract Files from Catia Export File menu option to access this feature.

In This Section

Tools – Extract Files from Catia Export File


Tools – Extract Files from Catia Export File

Use this option to extract individual .fic files from a Catia export (.exp) file.

  • A Catia export file is a single archive containing a set of *.fic files. The concept is similar to that of a zip or tar archive.

Extract the files as follows:

  1. Select Extract Files from Catia Export File from the Tools menu in PowerINSPECT, to display the following dialog:

  2. Browse to the .exp file from which the individual .fic files are to be extracted, select it, and click Open.

    The individual .fic files are extracted into a subfolder in the same location as the .exp file. The name of this subfolder is the name of the .exp file with the .exp suffix replaced by .dir:

    You can now open the *.fic files in PowerINSPECT as CAD files.

    • If the export file contains several .fic files with the same name, then a tilde (~) followed by an integer will be added to make the names unique. For example, if there are three .fic files called axis in the export file, three files will be created: axis.fic, axis~2.fic and axis~3.fic.
    • If a valid file name cannot be created from the name/description in the export file for any reason, then the .fic file will be called ficN, where N is an integer starting at zero for the first .fic file in the export file, and is then incremented for each additional fic file. So, if there are three .fic files in the export file, you will end up with three files called fic0, fic1 and fic2.
    • If any of the characters " * / < > ? \ |, a horizontal tab, or any unprintable characters, occur in a .fic file name/description, then they will be replaced by an underscore (_).

See Also

Extracting files from a Catia Export file


Calculating feature intersection points

A new Use Unbounded Entities option has been added to the Point of Feature Intersection dialog. When this option is selected (which it is by default), then feature axes are extended beyond physical entity boundaries as required to calculate feature intersection points.

In This Section

Point at Feature Intersection


Point at Feature Intersection

The Point at Feature Intersection feature allows you to create a point where the axis of one feature intersects with another axis or feature. The two features must have already been created as part of a geometric group. You need to specify a Reference Line (that is to say, the axis of one feature) and a Reference Feature (that is to say, a second feature or axis that is to be intersected by the specified Reference Line).

With a geometric group open, click the Points pullout toolbar and click Linked PowerINSPECT Graphics Directory Template. The Point at Feature Intersection dialog is displayed:

  • The dialog's values always default to those of the previous point, and so you may not see the 0,0,0 values shown above.

This dialog is split into the following areas:

  • Name – displays the name automatically given to this point. You can amend this if you want.
  • Coord. System – this drop-down list displays a list of datums and alignments available for the point. To select the datum that you want to use for the point, click on its name. PowerINSPECT uses PCS (Part Coordinate System) as its default datum.
  • Use Unbounded Entities – when this box is ticked (its default setting), then, if the intersection point cannot be calculated straight away because of the entity boundaries, PowerINSPECT internally extends the axes as required beyond the associated entity boundaries, until it is able to create the intersection point. If you wish to revert to the situation where intersection points are restricted to bounded entities, untick the box.
  • Reference Line – this drop-down list displays a list of possible axes with which the Reference Feature can intersect. Select the required axis.
  • Reference Feature – this drop-down list displays a list of possible features with which the Reference Line can intersect. Select the required feature.
    • As an alternative to using a drop-down list, you can select either the Reference Line or Reference Feature using the mouse by clicking the [image] icon to the right of the list.
  • Nominal Value setting – clicking this allows you to overwrite the previous nominal values with the current values for the proposed point from the CAD Entity or from the Active Measure:

    • When you select from CAD Entity, PowerINSPECT recalculates the nominal values in the dialog by taking the current values as a start point and changing them to the values of the nearest point of intersection between the Reference Line and the Reference Feature.
  • Point – shows the values of the nominal point that will be created.
  • The tolerance values can be ignored for the purposes of this option.
  • If you select an axis and feature where two or more intersection points can be created along an axis, then you can manually enter a nominal value that is approximate to the anticipated coordinate in order to guide PowerINSPECT towards the calculation of the preferred alternative (refer to the Examples below).
  • If the point is as yet unmeasured, then, although the nominal point will remain as specified under Point, the actual intersection point will be recalculated once the features indicated by the Reference Line and the Reference Feature have been measured.

When you click OK, PowerINSPECT creates the point indicated by the nominal values and closes the dialog. If you click OK & Repeat, PowerINSPECT creates the point indicated by the nominal values, creates the values for a further point based on the point just created, and leaves the dialog open for you to modify any of the values for the additional point. If you click Apply, PowerINSPECT creates the point indicated by the nominal values and leaves the dialog open.

  • The Apply button is no longer available if you use the Nominal Value setting because this has the effect of creating the point immediately.

Examples

A point is to be created at the intersection of two cylindrical features:

If you display the Point at Feature Intersection dialog and select the two features as shown in the dialog at the beginning of this topic, and then select from CAD Entity, the nominals are recalculated as the intersection point of the two features that is nearest to the previous values 0,0,0:

As you can see from the top view, there is more than one possible feature intersection at which Point 1 could have been created:

If you create a further point, you can ensure that it is created on the opposite face of Cylinder 4 along the X axis, by typing an approximate X value (negative) to indicate the whereabouts of the X nominal of the next point:

When you select from CAD Entity, the nominals are recalculated as follows:

Point 2 is created on the opposite face of Cylinder 4 along the X axis:

  • The next point that you create will default to the previous values, so you will need to adjust the nominals as required and then reselect from CAD Entity or from Active Measure.

See Also

Calculating feature intersection points


Exporting point cloud data

The following enhancements have been made to the way in which you export point cloud data from PowerINSPECT:

  • When exporting point cloud data, you can now export:
    • selected points, from one or more point clouds, which you have selected from the CAD View tab; or
    • all of the points from a selected point cloud.
  • When exporting point cloud data to an ASCII file, you can specify that any combination of the following details are exported:
    • original position;
    • original vector;
    • projected position;
    • projected vector (surface normal); and
    • deviation.

These enhancements mean that there is now a new procedure for exporting point cloud data.

In This Section

Exporting point cloud data: new procedure


Exporting point cloud data: new procedure

  1. Select the point cloud data that you want to export. To export:
    • an entire point cloud, select the point cloud from the inspection sequence, then right-click and select Export Point Cloud from the context menu.
    • selected points from one or more point clouds, use the Picking Selector button from the Point Cloud Editing toolbar to select points displayed in the CAD view, then select the Tools - Point Cloud - Export Point Cloud menu option or click the Export Point Cloud button on the Point Cloud Editing toolbar:

      Linked PowerINSPECT Graphics Directory Template

      PowerINSPECT displays the Export Point Cloud dialog:

  2. Select the format to which you want to export the point cloud details from the Data format drop-down list box. You can select from:
    • ASCII file (*.asc)
    • Perceptron XML (*.xml)
    • Perceptron BIN (*.bin)
    • ScanWorks SWL (*.swl)
  3. Specify the coordinate system you want to use when exporting the point cloud details, by selecting the CAD coordinates or CMM coordinates option.
  4. Specify the data about each point that you want to be exported. You can select any combination of:
    • Original position - the X, Y and Z values of a point.
    • Original vector - the I, J, K values of a point.
    • Projected position - the X, Y, and Z values of a point when projected onto the surface of the CAD model.
    • Projected vector - the I, J, and K values of a point when projected onto the surface of the CAD model.
    • Deviation - the difference between a point in the point cloud and when projected onto the surface of the CAD model.

      Click OK. PowerINSPECT displays the Save As dialog.

  5. Specify the folder and filename to which you want to export the data on the Save As dialog and click OK. PowerINSPECT exports the data and displays a confirmation message when the export is complete.

See Also

Exporting point cloud data


Extra information on Point Cloud tab

The information displayed in the Statistics area of the Point Cloud tab has been extended to display the number of points within tolerance, as well as the number of points above and below tolerance. For example:

The Print Preview screen of the Point Cloud tab has also been extended to display:

  • details of the number of points within tolerance.
  • the upper and lower tolerance values.

For example:


AIMS integration

PowerINSPECT 4.3 can provide seamless integration between PowerINSPECT and AIMS (Advanced Integrated Mathematical System). For example:

  1. Import an AIMS output (.tdf) file into a PowerINSPECT .pwi file.

    During the import, PowerINSPECT reads the information from the AIMS output file and uses this information to automatically populate the CAD view and inspection sequence - for example:

    • A TDF Viewer facility also enables you to view information contained in the .tdf file from within PowerINSPECT before importing.
  2. Measure the elements in the inspection sequence, as you would normally do using PowerINSPECT. When you save the PowerINSPECT (.pwi) file, PowerINSPECT automatically saves the measurement results to the AIMS output file that you imported in Step 1.
  • The AIMS integration features are available only if you purchase the required licences. Contact your Sales Agent for more details.


New Guided Surface Point button

The Guided Surface Point button at the top of the Surface Inspection Element toolbar has been changed from [image] to Linked PowerINSPECT Graphics Directory Template in order to avoid any possible confusion with the Surface Selector button [image] on the Mouse Context toolbar.

The Surface Inspection Element toolbar now appears as follows:

Linked PowerINSPECT Graphics Directory Template


Preview features

Preview features are provided to offer new functionality in their early stages of development so that you can assess their functionality. Frequently these features offer new and enhanced functionality requested by users.

The following feature is available for preview in PowerINSPECT 4.3:

  • Ability to customise HTML report templates using a template editor.

Preview features are placed in the program for your experimentation. They have a minimal user interface and could be incomplete or inconvenient to use.

Preview features are designed to give you an insight into our development direction and we would appreciate constructive comments on how to improve functionality and how to present the user interface. Please provide feedback via your PowerINSPECT Sales Agent.

Preview features are under continuous development: their behaviour may have changed since this document was written.

In This Section

Customising HTML report templates


Customising HTML report templates

A HTML report template controls which information is included in any reports based on that template and how that information is presented. Although standard HTML report templates are provided with PowerINSPECT, companies often find that they need to customise the standard templates - for example, to:

  • Add or replace images, such as company logos.
  • Change some of the information included in the report.
  • Change some of the styles or formatting in the report, such as fonts and colours, to reflect company standards.

PowerINSPECT 4.3 includes a separate HTML Report Template Editor program for you to make these, and other changes, to the standard HTML report templates.

The HTML Report Template Editor is a separate program installed during the PowerINSPECT installation. The program is available from the PowerINSPECT submenu in the Windows Start menu.

  • The HTML Report Template Editor requires that the Microsoft .NET Framework v1.1 package is installed on your machine. This package can be downloaded from Microsoft's website. A link to the relevant Microsoft website page is included with the PowerINSPECT options available from the Windows Start menu.

Once you have started the HTML Report Template Editor, you can get more information about using the program by selecting the Help - Contents menu option to display the on-line help.


Next Topic

What's New in

PowerINSPECT 4.3

by Delcam plc

Issued 04/02/2007